using ASHermed.SinoInterface.Api.ContractModel.Coupon.Entity;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository.App
{
    public interface IOnlineCouponlogsRepository
    {
        List<Online_Couponlogs> GetOnlineCouponLogList(int userid, int status);
        int InsertOnlineCouponLog(Online_Couponlogs model);
        int UpdateOnlineCouponLogStatus(string orderNo, int status);
        List<Online_Couponlogs> GetOnlineCouponLogListForOrderNo(string orderNo);
        int DeleteOnlineCouponLogListForOrderNo(string orderNo);
    }
}
